## mdanalysis 2.0.0+dfsg1

=== package/requirements.txt ===
biopython
codecov
cython
griddataformats
gsd
hypothesis
joblib>=0.12
matplotlib
mmtf-python
msmb_theme==1.2.0
netcdf4
networkx
numpy>=1.16.0
parmed
pytest
scikit-learn
scipy
seaborn>=0.7.0,<=0.9
sphinx==1.8.5
sphinx_rtd_theme
sphinx_sitemap
threadpoolctl
tqdm
