=== debian/changelog ===
mdanalysis (2.0.0+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:23:34 +0000

mdanalysis (2.0.0+dfsg1-4) unstable; urgency=medium

  * source upload to allow python-mdanalysis-doc to migrate to testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Feb 2022 17:17:45 +0100

mdanalysis (2.0.0+dfsg1-3) unstable; urgency=medium

  * provide docs in python-mdanalysis-doc package
    - Build-Depends: python3-sphinx, python3-msmb-theme, libjs-mathjax
    - add debian privacy patches
      * docs_local_mathjax.patch use local mathjax.js script
      * docs_privacy.patch removes goat counter from footer

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Feb 2022 11:48:11 +0100

mdanalysis (2.0.0+dfsg1-2) unstable; urgency=medium

  * Build with -ffloat-store on i386 to workaround x87 excess
    precision causing test failures. Thanks Adrian Bunk.
  * add debian patches to enable successful build of docs
    - docs_no_logo.patch skips use of logo image files
      (upstream does not give permission to use them)
    - docs_missing_sphinx_sitemap.patch skips sphinx_sitemap
      (not yet packaged for Debian)
    - docs_sphinx_warnings_are_not_errors.patch stops treating sphinx
      warnings as errors (needed to ignore inconsistent documentation
      of analysis.density)
    - note that the doc package itself is not yet provided
  * debian patch tests_floating_point.patch fixes test of floating
    point numbers (upstream Issue#3524)
  * execute dh_numpy3 after dh_python3 to assign python3-numpy-abi
  * remove autogenerated files left after dh_auto_clean and pytest

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Feb 2022 19:36:31 +0100

mdanalysis (2.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends:
       python3-h5py,
       python3-numpy (>= 1.16.0~),
       python3-netcdf4 (>= 1.0~),
       python3-seaborn,
       python3-sklearn,
       python3-threadpoolctl
    - applies debian patch fix_matplotlib_PR2763.patch
  * Standards-Version: 4.6.0
  * add detailed copyright entries (GPL-2 and GPL-3) to
    debian/copyright, identified by :Copyright: tag in files.
    CODE_OF_CONDUCT.md is CCA-3.0.
  * debian/rules override_dh_clean: remove .c cython files
  * run tests with MPLBACKEND=agg to avoid Xserver (Xvfb) errors
  * Note that logo files are not used in source (+dfsg) since they are
    non-free (not free to alter and redistribute alterations)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Sep 2021 03:12:37 +0200

mdanalysis (1.0.0+dfsg1-2) unstable; urgency=medium

  * Build-Depends: python3-all-dev (needs Python.h), cython3
    python3-hypothesis, python3-sklearn (debian/tests also)
  * python3-mdanalysis Depends: python3-duecredit,
    Recommends: python3-sklearn
  * use testsuite for build-time tests with pytest
    (over all python versions)

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Dec 2020 01:56:26 +1100

mdanalysis (1.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #962440)
  * debian/rules: pybuild source dir PYBUILD_DIR=package
  * Build-Depends:
      python3-numpy (>=1.13.3),
      python3-biopython (>= 1.71),
      python3-networkx (>= 1.0),
      python3-griddataformats (>= 0.4.0),
      python3-six (>= 1.4.0),
      python3-mmtf (>= 1.0.0),
      python3-joblib,
      python3-scipy (>= 1.0.0),
      python3-matplotlib (>= 1.5.1),
      python3-mock,
      python3-gsd (>= 1.4.0)
  * Build-Depends: tox, python3-duecredit (to run build-time tests)
  * debian patches:
    - docs_use_built_module.patch stops doc build from using
      raw (unbuilt) source to build docs. Set PYTHONPATH to .pybuild dir.
    - fix_matplotlib_PR2763.patch applies upstream PR2763 to fix
      matplotlib API.
  * But docs are not built yet pending packaging of
    python3-sphinx-sitemap (see RFP#970811).

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Sep 2020 22:21:26 +0800
