=== debian/control ===
Source: mdanalysis
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 cython3,
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-numpy (>= 1.16.0~),
 python3-biopython (>= 1.71),
 python3-networkx (>= 1.0),
 python3-griddataformats (>= 0.4.0),
 python3-six (>= 1.4.0),
 python3-mmtf (>= 1.0.0),
 python3-joblib (>= 0.12),
 python3-scipy (>= 1.0.0),
 python3-matplotlib (>= 1.5.1),
 python3-mock,
 python3-netcdf4 (>= 1.0~),
 python3-tqdm (>= 4.43.0),
 python3-gsd (>= 1.4.0),
 python3-duecredit,
 python3-h5py,
 python3-hypothesis,
 python3-pytest,
 python3-seaborn,
 python3-sklearn,
 python3-sphinx,
 python3-threadpoolctl
Build-Depends-Indep: python3-msmb-theme,
 libjs-mathjax
Standards-Version: 4.6.0
Homepage: https://www.mdanalysis.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git

Package: python3-mdanalysis
Architecture: any
Depends: python3-duecredit, ${python3:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-sklearn
Suggests: python-mdanalysis-doc
Description: analyse molecular dynamics files and trajectories
 MDAnalysis is a Python library for the analysis of computer
 simulations of many-body systems at the molecular scale, spanning use
 cases from interactions of drugs with proteins to novel materials. It
 is widely used in the scientific community and is written by
 scientists for scientists.
 .
 MDAnalysis allows one to read particle-based trajectories (including
 individual coordinate frames such as biomolecules in the PDB format)
 and access the atomic coordinates through NumPy arrays. This provides
 a flexible and relatively fast framework for complex analysis tasks.
 In addition, powerful atom selection commands are implemented.
 Trajectories can also be manipulated (for instance, fit to a
 reference structure) and written out.
 .
 It works with a wide range of popular simulation packages including
 Gromacs, Amber, NAMD, CHARMM, DL_Poly, HooMD, LAMMPS and many others
 — see the lists of supported trajectory formats and topology formats.
 MDAnalysis also includes widely used analysis algorithms in the
 MDAnalysis.analysis module.
 .
 The MDAnalysis project uses an open governance model and is fiscally
 sponsored by NumFOCUS.
 .
 This package installs the library for Python 3.

Package: python-mdanalysis-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends},
 ${misc:Depends}
Description: analyse molecular dynamics files and trajectories ( documentation)
 MDAnalysis is a Python library for the analysis of computer
 simulations of many-body systems at the molecular scale, spanning use
 cases from interactions of drugs with proteins to novel materials. It
 is widely used in the scientific community and is written by
 scientists for scientists.
 .
 MDAnalysis allows one to read particle-based trajectories (including
 individual coordinate frames such as biomolecules in the PDB format)
 and access the atomic coordinates through NumPy arrays. This provides
 a flexible and relatively fast framework for complex analysis tasks.
 In addition, powerful atom selection commands are implemented.
 Trajectories can also be manipulated (for instance, fit to a
 reference structure) and written out.
 .
 It works with a wide range of popular simulation packages including
 Gromacs, Amber, NAMD, CHARMM, DL_Poly, HooMD, LAMMPS and many others
 — see the lists of supported trajectory formats and topology formats.
 MDAnalysis also includes widely used analysis algorithms in the
 MDAnalysis.analysis module.
 .
 The MDAnalysis project uses an open governance model and is fiscally
 sponsored by NumFOCUS.
 .
 This is the documentation package for MDAnalysis.
