=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mdanalysis
export PYBUILD_DIR=package

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f .duecredit.p
	rm -f package/MDAnalysis/authors.py
	rm -f package/MDAnalysis/analysis/encore/clustering/affinityprop.c \
	  package/MDAnalysis/analysis/encore/cutils.c \
	  package/MDAnalysis/analysis/encore/dimensionality_reduction/stochasticproxembed.c \
	  package/MDAnalysis/lib/_augment.cpp \
	  package/MDAnalysis/lib/_cutil.cpp \
	  package/MDAnalysis/lib/c_distances.c \
	  package/MDAnalysis/lib/c_distances_openmp.c \
	  package/MDAnalysis/lib/formats/cython_util.c \
	  package/MDAnalysis/lib/formats/libdcd.c \
	  package/MDAnalysis/lib/formats/libmdaxdr.c \
	  package/MDAnalysis/lib/nsgrid.cpp \
	  package/MDAnalysis/lib/qcprot.c
	rm -rf package/MDAnalysis.egg-info
	rm -f testsuite/MDAnalysisTests/data/.*_offsets.npz  testsuite/MDAnalysisTests/data/*/.*_offsets.npz
	rm -rf testsuite/.pytest_cache

override_dh_auto_test:
	for py in $(shell py3versions -rv); do \
	  echo "=== testing with python$$py ==="; \
	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest testsuite; \
	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
	done

execute_after_dh_python3:
	dh_numpy3

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print {build_dir}) make html -C package/doc/sphinx/ BUILDDIR=$(CURDIR)/.pybuild  # HTML generator
