## mdanalysis 2.3.0+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 biopython
 codecov
 cython
+fasteners
 griddataformats
 gsd
 hypothesis
@@ -10,7 +11,8 @@
 msmb_theme==1.2.0
 netcdf4
 networkx
-numpy>=1.16.0
+numpy>=1.20.0
+packaging
 parmed
 pytest
 scikit-learn
