=== debian/changelog ===
mdanalysis (2.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch tests_floating_point.patch
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
    - update Build-Depends: python3-numpy (>= 1.20.0~),
      python3-networkx (>= 2.0),
      python3-scipy (>= 1.5.0),
      python3-gsd (>= 1.9.3~),
      python3-packaging,
      python3-fasteners
    - drop Build-Depends: python3-six
  * Build-Depends-Indep: python3-pybtex, python3-sphinx-rtd-theme,
    python3-sphinx-sitemap, python3-sphinxcontrib.bibtex
    - drop debian patch docs_missing_sphinx_sitemap.patch
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 23:10:36 +0100
