=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: debhelper-compat (= 13),
  cython3,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
- python3-numpy (>= 1.16.0~),
+ python3-numpy (>= 1.20.0~),
  python3-biopython (>= 1.71),
- python3-networkx (>= 1.0),
+ python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
- python3-six (>= 1.4.0),
  python3-mmtf (>= 1.0.0),
  python3-joblib (>= 0.12),
- python3-scipy (>= 1.0.0),
+ python3-scipy (>= 1.5.0),
  python3-matplotlib (>= 1.5.1),
  python3-mock,
  python3-netcdf4 (>= 1.0~),
  python3-tqdm (>= 4.43.0),
- python3-gsd (>= 1.4.0),
+ python3-gsd (>= 1.9.3~),
  python3-duecredit,
  python3-h5py,
  python3-hypothesis,
@@ -28,10 +28,16 @@
  python3-seaborn,
  python3-sklearn,
  python3-sphinx,
- python3-threadpoolctl
+ python3-threadpoolctl,
+ python3-packaging,
+ python3-fasteners
 Build-Depends-Indep: python3-msmb-theme,
+ python3-pybtex,
+ python3-sphinx-rtd-theme,
+ python3-sphinx-sitemap,
+ python3-sphinxcontrib.bibtex,
  libjs-mathjax
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.mdanalysis.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
