## mdanalysis 2.4.1+dfsg1

=== debian/changelog ===
mdanalysis (2.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - update Build-Depends: python3-biopython (>= 1.80)
  * mark python-mdanalysis-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 11:52:12 +0100
