## mdanalysis 2.4.2+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-biopython
+biopython>=1.80
 codecov
 cython
 fasteners
