=== debian/changelog ===
mdanalysis (2.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - fixes DensityAnalysis for numpy 1.24. Closes: #1027227,

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 17:54:02 +0100
