=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all-dev,
  python3-setuptools,
  python3-numpy (>= 1.20.0~),
- python3-biopython (>= 1.71),
+ python3-biopython (>= 1.80),
  python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
  python3-mmtf (>= 1.0.0),
@@ -37,7 +37,7 @@
  python3-sphinx-sitemap,
  python3-sphinxcontrib.bibtex,
  libjs-mathjax
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.mdanalysis.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
@@ -76,6 +76,7 @@
 
 Package: python-mdanalysis-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends},
  ${misc:Depends}
