=== debian/tests/control ===
Test-Command: MPLBACKEND=agg pytest-3
Depends: @, @builddeps@,
 python3-hypothesis,
 python3-pytest,
 python3-sklearn
Restrictions: allow-stderr
