## mdanalysis 2.5.0+dfsg1

=== package/requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 msmb_theme==1.2.0
 netcdf4
 networkx
-numpy>=1.20.0
+numpy>=1.21.0
 packaging
 parmed
 pytest
