=== debian/changelog ===
mdanalysis (2.5.0+dfsg1-2) unstable; urgency=medium

  * debian patches gsd3_PR4153.diff and gsd3_PR4174.diff apply
    upstream PR#4153 and #4174 to enable support for gsd 3.

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Jul 2023 12:43:14 +0200

mdanalysis (2.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Depends: python3-numpy (>= 1.21.0~)
    - drop Build-Depends: python3-mock (now uses unittest.mock)
  * reorder Build-Depends by order in setup.py

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 00:13:39 +0200
