=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
- python3-numpy (>= 1.20.0~),
+ python3-numpy (>= 1.21.0~),
  python3-biopython (>= 1.80),
  python3-networkx (>= 2.0),
  python3-griddataformats (>= 0.4.0),
@@ -17,20 +17,19 @@
  python3-joblib (>= 0.12),
  python3-scipy (>= 1.5.0),
  python3-matplotlib (>= 1.5.1),
- python3-mock,
+ python3-tqdm (>= 4.43.0),
+ python3-threadpoolctl,
+ python3-packaging,
+ python3-fasteners,
+ python3-gsd (>= 3.0.1~),
  python3-netcdf4 (>= 1.0~),
- python3-tqdm (>= 4.43.0),
- python3-gsd (>= 1.9.3~),
- python3-duecredit,
  python3-h5py,
- python3-hypothesis,
- python3-pytest,
  python3-seaborn,
  python3-sklearn,
+ python3-duecredit,
+ python3-hypothesis <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-sphinx,
- python3-threadpoolctl,
- python3-packaging,
- python3-fasteners
 Build-Depends-Indep: python3-msmb-theme,
  python3-pybtex,
  python3-sphinx-rtd-theme,
