## mdanalysis 2.7.0

=== package/requirements.txt ===
biopython>=1.80
codecov
cython
fasteners
griddataformats
gsd
hypothesis
joblib>=0.12
matplotlib
mmtf-python
netcdf4
networkx
numpy>=1.22.3
packaging
parmed
pytest
scikit-learn
scipy
seaborn>=0.7.0,<=0.9
sphinx <7.0
mdanalysis_sphinx_theme >=1.0.1
sphinx_sitemap
threadpoolctl
tqdm
