=== debian/changelog ===
mdanalysis (2.7.0-3) unstable; urgency=medium

  * use debian/tests/test-mdanalysis to control debci tests
    - test over all supported python versions
    - i386: skip test_multiprocess_COG[u4]
    - s390x: skip many tests.
      Big-endian support is incomplete. See upstream Issue#1829.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2024 11:59:17 +0200

mdanalysis (2.7.0-2) unstable; urgency=medium

  * python3-gsd is only available on little-endian systems
    (not s390x and other big-endian arches)
  * run build tests on i386 verbose (-v) to catch stalling tests
  * debian/tests: run CI verbose -v (again, to catch i386 failure)
    Closes: #1063325.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Aug 2024 13:01:08 +0200

mdanalysis (2.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    - supports Python 3.12. Closes: #1071800, #1061811.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Add upstream metadata

  [ Drew Parsons ]
  * Build-Depends: python3-mda-xdrlib
  * debian patch xdr_type_PR4408.patch applies upstream PR#4408
    to fix XDR types. See upstream Issue#4589.
  * remove generated timestep.cpp during clean. Closes: #1045215.
  * debian patchdoc_no_mdanalysis_sphinx.patch disables use of custom
    sphinx theme
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jul 2024 16:38:17 +0200
