=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,11 @@
 
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
   export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+  export PYBUILD_TEST_ARGS += -v
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_clean:
 	rm -f .duecredit.p
@@ -19,6 +20,7 @@
 	rm -f package/MDAnalysis/analysis/encore/clustering/affinityprop.c \
 	  package/MDAnalysis/analysis/encore/cutils.c \
 	  package/MDAnalysis/analysis/encore/dimensionality_reduction/stochasticproxembed.c \
+	  package/MDAnalysis/coordinates/timestep.cpp \
 	  package/MDAnalysis/lib/_augment.cpp \
 	  package/MDAnalysis/lib/_cutil.cpp \
 	  package/MDAnalysis/lib/c_distances.c \
