=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s%(?:.*?)?release-(\d[\d.]*)\.tar\.gz%mdanalysis-$1.tar.gz%" \
   https://github.com/MDAnalysis/mdanalysis/tags \
   (?:.*?/)?release-(\d[\d.]*)\.tar\.gz debian uupdate
