## mdanalysis 2.8.0

=== package/requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 mmtf-python
 netcdf4
 networkx
-numpy>=1.22.3
+numpy>=1.23.2
 packaging
 parmed
 pytest
