=== debian/changelog ===
mdanalysis (2.8.0-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:49:29 +0000

mdanalysis (2.8.0-4) unstable; urgency=medium

  * fix running tests verbose

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 01:16:36 +0100

mdanalysis (2.8.0-3) unstable; urgency=medium

  * run all tests verbose

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Feb 2025 11:03:45 +0100

mdanalysis (2.8.0-2) unstable; urgency=medium

  * Depends: python3-biopython only on arches where it is available
    (biopython is optional for mdanalysis, needed for analysis.align)
  * run armel tests verbose to identify stalling distance tests
  * build i386 with -fexcess-precision=fast (better than relaxing test
    tolerance). Closes: #1095739

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Feb 2025 12:40:15 +0100

mdanalysis (2.8.0-1) unstable; urgency=medium

  * New upstream release
    - supports Numpy 2. Closes: #1094808.
    - applies debian patch xdr_type_PR4408.patch
  * drop logo exclusions (logo files no longer shipped upstream)
    Drop debian patch docs_no_logo.patch.
  * update debian/watch to latest uscan recommendations
    (without renaming for DFSG logo exclusion)
  * debian patch test_skip_missing_modules.patch skips test_hole2,
    test_psa, test_waterdynamics when mdahole2, pathsimanalysis,
    waterdynamics are not available (they are not yet packaged for
    debian)
    - and skip test_all_import[.analysis.hole2], journal.pcbi.1004568
      (duecredit test accessing pathsimanalysis)
  * run tests with --disable-pytest-warnings as recommended upstream
  * don't ignore build-time test errors.
    Apply i386 and s390x test skips in debian/tests to debian/rules.
  * delete .duecredit.p generated by tests (otherwise gets installed)
  * after dh_python3, remove leftover python3.* files (dist files not
    generated cleanly)

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Feb 2025 20:13:19 +0100

mdanalysis (2.7.0-5) unstable; urgency=medium

  * debian/tests: fix i386 test skips

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 19:37:15 +0200

mdanalysis (2.7.0-4) unstable; urgency=medium

  * i386: skip test_ramachandran, test_hbond_analysis,
    test_clustering_three_ensembles_two_identical

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 10:53:09 +0200
