=== debian/control ===
--- 
+++ 
@@ -1,50 +1,55 @@
 Source: mdanalysis
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cython3,
- dh-python,
- pybuild-plugin-pyproject,
- python3-all-dev,
- python3-setuptools,
- python3-numpy (>= 1.21.0~),
- python3-biopython (>= 1.80),
- python3-networkx (>= 2.0),
- python3-griddataformats (>= 0.4.0),
- python3-mmtf (>= 1.0.0),
- python3-joblib (>= 0.12),
- python3-scipy (>= 1.5.0),
- python3-matplotlib (>= 1.5.1),
- python3-tqdm (>= 4.43.0),
- python3-threadpoolctl,
- python3-packaging,
- python3-fasteners,
- python3-gsd (>= 3.0.1~),
- python3-netcdf4 (>= 1.0~),
- python3-h5py,
- python3-seaborn,
- python3-sklearn,
- python3-duecredit,
- python3-hypothesis <!nocheck>,
- python3-pytest <!nocheck>,
- python3-sphinx,
+               cython3,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all-dev,
+               python3-setuptools,
+               python3-numpy,
+               python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+               python3-networkx,
+               python3-griddataformats,
+               python3-mmtf,
+               python3-joblib,
+               python3-scipy,
+               python3-matplotlib,
+               python3-mda-xdrlib,
+               python3-tqdm,
+               python3-threadpoolctl,
+               python3-packaging,
+               python3-fasteners,
+               python3-gsd (>= 3.0.1~) [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
+               python3-netcdf4,
+               python3-h5py,
+               python3-seaborn,
+               python3-sklearn,
+               python3-duecredit,
+               python3-hypothesis <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-sphinx
 Build-Depends-Indep: python3-msmb-theme,
- python3-pybtex,
- python3-sphinx-rtd-theme,
- python3-sphinx-sitemap,
- python3-sphinxcontrib.bibtex,
- libjs-mathjax
-Standards-Version: 4.6.2
-Homepage: https://www.mdanalysis.org/
+                     python3-pybtex,
+                     python3-sphinx-rtd-theme,
+                     python3-sphinx-sitemap,
+                     python3-sphinxcontrib.bibtex,
+                     libjs-mathjax
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
+Homepage: https://www.mdanalysis.org/
+Rules-Requires-Root: no
 
 Package: python3-mdanalysis
 Architecture: any
-Depends: python3-duecredit, ${python3:Depends},
- ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-duecredit,
+         python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+         ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: python3-sklearn
 Suggests: python-mdanalysis-doc
 Description: analyse molecular dynamics files and trajectories
@@ -77,8 +82,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${sphinxdoc:Depends},
- ${misc:Depends}
+Depends: libjs-mathjax,
+         ${sphinxdoc:Depends},
+         ${misc:Depends}
 Description: analyse molecular dynamics files and trajectories ( documentation)
  MDAnalysis is a Python library for the analysis of computer
  simulations of many-body systems at the molecular scale, spanning use
