=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,38 @@
 export PYBUILD_NAME=mdanalysis
 export PYBUILD_DIR=package
 
-ifneq (,$(filter $(DEB_HOST_ARCH), i386))
-  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
-  export PYBUILD_TEST_ARGS += -v
+# mdahole2, pathsimanalysis are not yet packaged for debian
+# (duecredit test journal.pcbi.1004568 accesses pathsimanalysis)
+SKIP_TEST_LIST += test_all_import[.analysis.hole2] journal.pcbi.1004568
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
+  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
+
+  SKIP_TEST_LIST += test_multiprocess_COG[u4] test_ramachandran
+  SKIP_TEST_LIST += test_clustering_three_ensembles_two_identical test_hbond_analysis
 endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
+  SKIP_TEST_LIST += test_start_stop_step test_count_by_time \
+        test_rmsd test_mass_weighted test_custom_weighted test_ref_mobile_mass_mismapped \
+        test_time test_dt test_total_time test_iter test_last_frame test_frame_jump \
+        test_next_gives_second_frame test_set_time test_write_istart \
+        test_write_trajectory_atomgroup test_write_trajectory_universe test_Timestep_time \
+        test_rename_aux test_namdbin ref_reader25 ref_reader_extra_args25
+endif
+
+SKIP_TESTS=$(shell skip_tests=""; list_initialised=0; \
+        for t in $(SKIP_TEST_LIST); do \
+            if [ $${list_initialised} = 0 ]; then \
+                skip_tests=$$t; \
+                list_initialised=1; \
+            else \
+                skip_tests="$${skip_tests} or $$t"; \
+            fi; \
+        done; \
+        if [ "x$${skip_tests}" != "x" ]; then \
+            echo "not ( $${skip_tests} )"; \
+        fi )
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
@@ -35,15 +63,18 @@
 	rm -rf testsuite/.pytest_cache
 
 override_dh_auto_test:
+	set -e; \
 	for py in $(shell py3versions -rv); do \
 	  echo "=== testing with python$$py ==="; \
 	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
-	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest testsuite; \
+	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest -v -k "$(SKIP_TESTS)" --disable-pytest-warnings testsuite; \
 	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
+	  rm -rf $$pydir/MDAnalysis/.duecredit.p; \
 	done
 
 execute_after_dh_python3:
 	dh_numpy3
+	rm -rf debian/python3-mdanalysis/usr/lib/python3.*
 
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
