=== debian/tests/control ===
Tests: test-mdanalysis
Depends: @, @builddeps@,
 python3-hypothesis,
 python3-pytest,
 python3-sklearn,
 python3-all
Restrictions: allow-stderr
