## mdanalysis 2.9.0

=== debian/changelog ===
mdanalysis (2.9.0-12) unstable; urgency=medium

  * skip all tests, both build-time and run-time. See Bug#1108309.

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Jul 2025 11:07:57 +0200

mdanalysis (2.9.0-11) unstable; urgency=medium

  * fix order of conditional control of build-time tests

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jul 2025 19:16:36 +0200

mdanalysis (2.9.0-10) unstable; urgency=medium

  * apply suggestion from Bug#1108309 to skip tests (build and
    runtime) if less than 2 CPUs are available
  * do not run build-time tests on hurd-i386
    or when nocheck is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jul 2025 15:12:21 +0200

mdanalysis (2.9.0-9) unstable; urgency=medium

  * debian/tests/control: mark mdanalysis with Restrictions: flaky.
    mdanalysis tests are generally unreliable and fail often and
    randomly. Closes: #1108309
  * debian/tests: skip tests observed failing in debci
    migration-reference runs:
    test_dihedral_attr_warning test_AnalysisFromFunction
    test_villin_unfolded test_rmsd_frames test_file_guess_hydrogens
    test_gnm_run_step test_all_backends_give_correct_results
    test_startframe test_hbond_analysis

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Jul 2025 10:23:27 +0200

mdanalysis (2.9.0-8) unstable; urgency=medium

  * skip test_distances, since NSGrid is flaky and causes distance
    tests to often (randomly) fail, see upstream Issue #4906.
    Closes: #1104387

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 May 2025 23:44:46 +0200

mdanalysis (2.9.0-7) unstable; urgency=medium

  * skip all parallel tests, including multiprocess tests.
    mdanalysis tests are flakey. Aiming to minimise the failure
    cross-section.

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Apr 2025 10:50:06 +0200

mdanalysis (2.9.0-6) unstable; urgency=medium

  * skip all openmp tests. openmp is unstable, tests often fail.

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Apr 2025 20:57:05 +0200

mdanalysis (2.9.0-5) unstable; urgency=medium

  * ppc64: skip test_timestep_copied and test_positions_share_memory
    with [ref_reader25] in coordinates/test_copying.py

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Apr 2025 20:42:23 +0200

mdanalysis (2.9.0-4) unstable; urgency=medium

  * fix parentheses in ppc64 test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Apr 2025 17:35:50 +0200

mdanalysis (2.9.0-3) unstable; urgency=medium

  * skip tests failing on hppa and ppc64

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Apr 2025 23:47:22 +0200

mdanalysis (2.9.0-2) unstable; urgency=medium

  * drop PMG_TEST_FILES_DIR env var in debian/tests
  * debian patch improve_test_timeout_PR4584.diff applies upstream
    PR#4584 (diff not patch) to help improve test reliability
  * gsd causes timeouts. Explicitly disable gsd tests.
    debian patch skip_gsd_tests.patch sets HAS_GSD=False in tests.
    https://github.com/MDAnalysis/mdanalysis/issues/4209
    Closes: #1103158, #1103367

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Apr 2025 00:54:54 +0200

mdanalysis (2.9.0-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-filelock
  * drop debian patch test_skip_missing_modules.patch. Deprecated by
    new upstream import checks.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Apr 2025 19:51:52 +0200
