=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                python3-tqdm,
                python3-threadpoolctl,
                python3-packaging,
+               python3-filelock,
                python3-fasteners,
                python3-gsd (>= 3.0.1~) [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                python3-netcdf4,
@@ -37,7 +38,7 @@
                      python3-sphinx-sitemap,
                      python3-sphinxcontrib.bibtex,
                      libjs-mathjax
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
 Homepage: https://www.mdanalysis.org/
