=== debian/changelog ===
mdanalysis (2.10.0-1) unstable; urgency=medium

  * New upstream release
    - supports numpy 2.3. Closes: #1114702
    - Build-Depends-Indep: python3-sphinxcontrib.* for doc build:
      applehelp, bibtex, devhelp, htmlhelp, qthelp, serializinghtml
  * simplify debian/rules by removing nproc handling for tests
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * debian patch docs_intersphinx_local.patch adds intersphinx links
    to local documentation.
    Build-Depends-Indep: python3-doc, python-gsd-doc, python-h5py-doc,
    python-matplotlib-doc, python-numpy-doc, python-dask-doc,
    python-scipy-doc, rdkit-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Oct 2025 00:50:11 +0200
