=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
+               python3-numpy-dev,
                python3-biopython (>= 1.80) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
                python3-networkx,
                python3-griddataformats,
@@ -36,8 +37,21 @@
                      python3-pybtex,
                      python3-sphinx-rtd-theme,
                      python3-sphinx-sitemap,
+                     python3-sphinxcontrib.applehelp,
                      python3-sphinxcontrib.bibtex,
-                     libjs-mathjax
+                     python3-sphinxcontrib.devhelp,
+                     python3-sphinxcontrib.htmlhelp,
+                     python3-sphinxcontrib.qthelp,
+                     python3-sphinxcontrib.serializinghtml,
+                     python3-doc,
+                     python-gsd-doc,
+                     python-h5py-doc,
+                     python-matplotlib-doc,
+                     python-numpy-doc,
+                     python-dask-doc,
+                     python-scipy-doc,
+                     libjs-mathjax,
+                     rdkit-doc
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdanalysis
 Vcs-Git: https://salsa.debian.org/debichem-team/mdanalysis.git
