=== debian/rules ===
--- 
+++ 
@@ -122,13 +122,13 @@
 override_dh_auto_test:
 ifeq (yes,$(findstring yes,$(RUNTEST)))
 	set -e; \
-	if [ $(shell nproc) -gt 2 ]; then for py in $(shell py3versions -rv); do \
+	for py in $(shell py3versions -rv); do \
 	  echo "=== testing with python$$py ==="; \
 	  pydir=`pybuild -p $$py --system=distutils --print {build_dir}`; \
 	  MPLBACKEND=agg PYTHONPATH=$$pydir python$$py -mpytest -v -k "$(SKIP_TESTS)" --disable-pytest-warnings testsuite; \
 	  rm -rf $$pydir/MDAnalysis/.hypothesis; \
 	  rm -rf $$pydir/MDAnalysis/.duecredit.p; \
-	done; fi
+	done
 endif
 
 execute_after_dh_python3:
