=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
  python3-pytest,
  python3-sklearn,
  python3-all
-Restrictions: allow-stderr
+Restrictions: allow-stderr, flaky
